Summary: Qt6 - Configuration Tool
Name:    qt6ct
Version: 0.2
Release: 1%{?dist}

# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
# See also http://doc.qt.io/qt-5/licensing.html
License: GPLv2 with exceptions and GPLv3 with exceptions
Url:     https://github.com/trialuser02/qt6ct
Source0: https://github.com/trialuser02/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qt6-rpm-macros >= %{version}
#BuildRequires: qt6-qtbase-static >= %%{version}
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtbase-private-devel
BuildRequires: qt6-linguist
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: chrpath
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}
#BuildRequires: qt6-qtdeclarative-devel
Requires: qt6-qtsvg

%description
This program allows users to configure Qt6 settings (theme, font, icons, etc.)
under DE/WM without Qt integration.

%prep
%autosetup -n %{name}-%{version} -p1

%build
# Create translation files.
lrelease-qt6 src/qt6ct/translations/*.ts
%{_qt6_qmake} %{_qt6_qmake_flags}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
# /usr/bin/qt6ct' contains a standard rpath '/usr/lib64' in [/usr/lib64]
chrpath --delete %{buildroot}%{_bindir}/%{name}
chrpath --delete %{buildroot}%{_qt6_plugindir}/styles/libqt6ct-style.so
chrpath --delete %{buildroot}%{_qt6_plugindir}/platformthemes/libqt6ct.so

%files
%doc AUTHORS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%dir %{_qt6_plugindir}/platformthemes/
%{_qt6_plugindir}/platformthemes/libqt6ct.so
%{_qt6_plugindir}/styles/libqt6ct-style.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/colors/*.conf
%{_datadir}/%{name}/qss/*.qss

%changelog
* Mon Feb 08 2021 Martin Gansser <martinkg@fedora.com> - 0.2-1
- 0.2
